import socket
hostname = socket.gethostname()

config = {
    'robosignatory.enabled.tagsigner': True,
    'robosignatory.enabled.atomicsigner': True,
    'robosignatory.signing.user': 'robosignatory',
    'robosignatory.signing.passphrase_file': 'robosignatory.pass',
    'robosignatory.signing.config_file': '/etc/sigul/client.conf',

    # The keys here need to be the same in the sigul bridge
    'robosignatory.koji_instances': {
        'primary': {
            'url': 'http://koji.fedoraproject.org/kojihub',
            'options': {
                # Only ssl is supported at the moment
                'authmethod': 'ssl',
                'cert': 'robosignatory.cert',
                'serverca': 'servcer-ca.cert',
            },
            'tags': [
                {
                    'from': 'rawhide-signcandidate',
                    'to': 'rawhide',
                    'key': 'fedora26',
                    'keyid': 'xxxxxxxx'
                },
            ]
        },
    },

    'robosignatory.ostree_refs': [
        'fedora-atomic/25/x86_64/docker-host': {
            'directory': '/mnt/koji/compose/atomic/25/',
            'key': 'fedora-25',
            'ref_to': 'fedora-atomic/25/x86_64/docker-host'
        }
    ]
}
